package main

import (
	"log"

	"dev.narayana.im/narayana/telegabber/config"
	"dev.narayana.im/narayana/telegabber/xmpp"
)

const CONFIG_PATH string = "config.yml"

func main() {
	config := config.ReadConfig(CONFIG_PATH)
	cm := xmpp.NewComponent(config.Xmpp)

	// reconnect automatically
	log.Fatal(cm.Run())
}
